ParameterContainer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface ParameterContainer

All Known Implementing Classes:
  ComponentJoin, FromElement, ImpliedFromElement, SqlFragment

Deprecated.

    public interface ParameterContainer

Currently this is needed in order to deal with `FromElements` which contain "hidden" JDBC parameters from applying filters.

Would love for this to go away, but that would require that Hibernate's internal `join handling` be able to either:

- render the same AST structures
- render structures capable of being converted to these AST structures

In the interim, this allows us to at least treat these "hidden" parameters properly which is the most pressing need.

Method Summary
`void` | `addEmbeddedParameter(ParameterSpecification specification)` Deprecated. Adds a parameter specification for a parameter encountered within this node.
`ParameterSpecification[]` | `getEmbeddedParameters()` Deprecated. Retrieve all embedded parameter specifications.
`boolean` | `hasEmbeddedParameters()` Deprecated. Determine whether this node contains embedded parameters.
`void` | `setText(String text)` Deprecated. Set the renderable text of this node.

Method Detail

### setText

    void setText(String text)

  Deprecated.
  Set the renderable text of this node.

  Parameters:
    `text` - The renderable text

### addEmbeddedParameter

    void addEmbeddedParameter(ParameterSpecification specification)

  Deprecated.
  Adds a parameter specification for a parameter encountered within this node. We use the term 'embedded' here because of the fact that the parameter was simply encountered as part of the node's text; it does not exist as part of a subtree as it might in a true AST.

  Parameters:
    `specification` - The generated specification.

### hasEmbeddedParameters

    boolean hasEmbeddedParameters()

  Deprecated.
  Determine whether this node contains embedded parameters. The implication is that `getEmbeddedParameters()` is allowed to return null if this method returns false.

  Returns:
    True if this node contains embedded parameters; false otherwise.

### getEmbeddedParameters

    ParameterSpecification[] getEmbeddedParameters()

  Deprecated.
  Retrieve all embedded parameter specifications.

  Returns:
    All embedded parameter specifications; may return null.
  See Also:
    `hasEmbeddedParameters()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.